FROM php:7.4-apache

RUN apt-get -y update && apt-get install -y \
    openssl \
    curl \
    mcrypt \
    git \
    # webp
    libzip-dev \
    libvpx-dev \
    libonig-dev \
    # Intl dependencies
    zlib1g-dev \
    libicu-dev \
    # Xsl dependencies
    g++ \
    libxslt1.1 \
    libxslt1-dev \
    # Mcrypt dependencies
    libmcrypt-dev \
    libreadline-dev \
    vim \
    #imagick
    libpng-dev \
    libc-client-dev \
    libkrb5-dev \
    && rm -r /var/lib/apt/lists/* \
    
    && docker-php-ext-configure intl \
    && docker-php-ext-install \
    mysqli \
#    cli \
    gd \
 #   curl \
    intl \
    json \
    # xml \
    xsl \
    json \
    # mbstring \
    # imagick \
    # imap \
    zip \
    bcmath && \
#    pecl install imagick && docker-php-ext-enable imagick \
    docker-php-ext-configure imap --with-kerberos --with-imap-ssl && docker-php-ext-install imap

COPY config/vhost.conf /etc/apache2/sites-available/000-default.conf
COPY config/apache.conf /etc/apache2/conf-available/z-app.conf
COPY index.php /app/index.php
COPY config/php.ini /usr/local/etc/php/php.ini

EXPOSE 8081

CMD ["/usr/sbin/apache2ctl","-DFOREGROUND"]


